<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/global.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Global Namespace</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="selected">Global Namespace</span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Global Namespace</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Namespaces Summary:</div>
<div class="item"><a href="Synopsis.html" >Synopsis</a> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Macros Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="SYN_IMPORT">SYN_IMPORT</a></div> <div class="xref"></div> <div class="source"><a href="../Source/Synopsis/config.hh.html#line22" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SYN_EXPORT">SYN_EXPORT</a></div> <div class="xref"></div> <div class="source"><a href="../Source/Synopsis/config.hh.html#line30" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SYN_DSO_LOCAL">SYN_DSO_LOCAL</a></div> <div class="xref"></div> <div class="source"><a href="../Source/Synopsis/config.hh.html#line31" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SYN_DSO_PUBLIC">SYN_DSO_PUBLIC</a></div> <div class="xref"></div> <div class="source"><a href="../Source/Synopsis/config.hh.html#line32" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SYNOPSIS_API">SYNOPSIS_API</a></div> <div class="xref"></div> <div class="source"><a href="../Source/Synopsis/config.hh.html#line44" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Function templates Summary:</div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> N&gt;</div> &#160;N* <a class="name" id="nconc_lN_S_cNode_S_r">nconc</a>(N* <span class="variable">p</span>, Node* <span class="variable">q</span>)  </div> <div class="xref"><a href="../XRef/xref34.html#nconc_lN_S_cNode_S_r" ><img src="../xref.png" alt="references"/></a></div> <div class="source"><a href="../Source/Synopsis/PTree/o.hh.html#line3" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> N&gt;</div> &#160;N* <a class="name" id="snoc_lN_S_cNode_S_r">snoc</a>(N* <span class="variable">p</span>, Node* <span class="variable">q</span>)  </div> <div class="xref"><a href="../XRef/xref34.html#snoc_lN_S_cNode_S_r" ><img src="../xref.png" alt="references"/></a></div> <div class="source"><a href="../Source/Synopsis/PTree/o.hh.html#line11" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160;Node* <a class="name" id="snoc_lNode_S_cNode_S_r">snoc</a>(Node*, Node*)  </div> <div class="xref"><a href="../XRef/xref34.html#snoc_lNode_S_cNode_S_r" ><img src="../xref.png" alt="references"/></a></div> <div class="source"><a href="../Source/Synopsis/PTree/o.hh.html#line10" ><img src="../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:31 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
